#!/usr/bin/perl

# reads the input file and extracts the particle positions per output step into a separate snapshot file
# input is passed through
#
# Args: number of places for snapshot filenames
#       directory to store the snapshots into (must exist)

use strict;

my $anzArgs = @ARGV;
if ($anzArgs != 2) {
	die "Usage: $0   numOfPlaces  outputDir\n";
}

my $numOfPlaces = shift;
my $outDir = shift;

my $isTimeLine = 1;
my $zeitPunkt;
my $anzProt;

my $snapNr = 0;

my @hilf;

select(STDOUT); $| = 1;

while(<STDIN>)
{
	print $_;
	
	@hilf = split(' ');

	if($isTimeLine == 1)
	{
		$zeitPunkt = $hilf[1];
		$anzProt = $hilf[2];
		
		# $anzSchritte++;
		
		$isTimeLine = 0 if ($anzProt > 0);

		my $outFormat = ">%s/snap_%0".sprintf("%d", $numOfPlaces)."d.txt";
		my $outName = sprintf($outFormat, $outDir, $snapNr);
		print "  format = ".$outFormat."   name = ".$outName."\n";
		
		open(RAUS, $outName);
		
		print RAUS $zeitPunkt.",  ".$anzProt.",\n";
		
	} 
	else 
	{
		my $label = $hilf[0];
		my $num = $hilf[1];
		my $x = $hilf[3];
		my $y = $hilf[4];
		my $z = $hilf[5];
		
		printf RAUS "%lf, %lf, %lf,\n", $x, $y, $z;
		
		$anzProt--;	
		if ($anzProt==0) {
			$isTimeLine = 1;
			close(RAUS);
			$snapNr++;
		}
	}
	
}


exit;