// This file is part of the brownmove simulation package
// 
// V1.4  Aug 2012
// 
// (C) 2003 - 2012 Tihamer Geyer
// tihamer.geyer@bioinformatik.uni-saarland.de
// 
// Check for Updates at the Project Homepage 
// http://service.bioinformatik.uni-saarland.de/brownmove



#ifndef GLOBALSTUFF_H
#define GLOBALSTUFF_H

#include <iostream>
#include <fstream>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <map>
#include <list>

#include "constants.h"

// define max number of tries to place a particle with "startWithIn"
#define	MAXWITHINTRIES	10000

namespace brown {
	//! Read next line and replace constants. 
	//! The first word is converted to lowercase if noLowerCase == false.
	//! Used by the parsers.
	int myGetLine(FILE *fp_in, char *newLine, const int maxLen, std::map<std::string, std::string> *constants, bool noLowerCase, 
				  std::list<std::string> *repeatText, const bool readRepeat, const bool repeating, std::list<std::string>::iterator &repPtr);
}


#endif /* GLOBALSTUFF_H */
